AlertConditionEvaluatorRepository (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.AlertConditionEvaluatorRepository interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Interface AlertConditionEvaluatorRepository

All Known Implementing Classes:
  AlertConditionEvaluatorRepositoryImpl

    public interface AlertConditionEvaluatorRepository

Repository of `AlertConditionEvaluator`s

Method Summary
`void` | `addAlertConditionEvaluator(AlertConditionEvaluator alertConditionEvaluator)` Add to the repository
`AlertConditionEvaluator` | `getAlertConditionEvaluatorById(java.lang.Integer alertDefinitionId)`
`java.util.Map` | `getAlertConditionEvaluators()` Get all the alert condition evaluators
`AlertConditionEvaluatorStateRepository` | `getStateRepository()` Get the `AlertConditionEvaluatorStateRepository`
`void` | `removeAlertConditionEvaluator(java.lang.Integer alertDefinitionId)` Remove from the repository

Method Detail

### addAlertConditionEvaluator

    void addAlertConditionEvaluator(AlertConditionEvaluator alertConditionEvaluator)

  Add to the repository

  Parameters:
    `alertConditionEvaluator` - The `AlertConditionEvaluator` to add the repository

### getAlertConditionEvaluatorById

    AlertConditionEvaluator getAlertConditionEvaluatorById(java.lang.Integer alertDefinitionId)

  Parameters:
    `alertDefinitionId` - The ID of the alert definition
  Returns:
    The corresponding `AlertConditionEvaluator` or null if none exists

### getStateRepository

    AlertConditionEvaluatorStateRepository getStateRepository()

  Get the `AlertConditionEvaluatorStateRepository`

### getAlertConditionEvaluators

    java.util.Map getAlertConditionEvaluators()

  Get all the alert condition evaluators

### removeAlertConditionEvaluator

    void removeAlertConditionEvaluator(java.lang.Integer alertDefinitionId)

  Remove from the repository

  Parameters:
    `alertDefinitionId` - The ID of the alert definition whose `AlertConditionEvaluator` should be removed from the repository

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.